
// BKView.h : интерфейс класса CBKView
//

#pragma once

#include "Screen.h"

class CBKView : public CView
{
	protected: // создать только из сериализации
		CBKView();
		DECLARE_DYNCREATE(CBKView)

// Атрибуты
	public:
		CBKDoc *GetDocument() const;

// Операции
	public:

// Переопределение
	public:
		virtual void OnDraw(CDC *pDC);  // переопределено для отрисовки этого представления
		virtual BOOL PreCreateWindow(CREATESTRUCT &cs);
	protected:
		virtual BOOL OnPreparePrinting(CPrintInfo *pInfo);
		virtual void OnBeginPrinting(CDC *pDC, CPrintInfo *pInfo);
		virtual void OnEndPrinting(CDC *pDC, CPrintInfo *pInfo);

// Реализация
	public:
		virtual ~CBKView();
#ifdef _DEBUG
		virtual void AssertValid() const;
		virtual void Dump(CDumpContext &dc) const;
#endif

	protected:
		CScreen *m_pscreen;

// Созданные функции схемы сообщений
	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnFilePrintPreview();
		afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
		afx_msg void OnContextMenu(CWnd *pWnd, CPoint point);
		afx_msg void OnSetFocus(CWnd *pOldWnd);
		afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
		DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // отладочная версия в BKView.cpp
inline CBKDoc *CBKView::GetDocument() const
{
	return reinterpret_cast<CBKDoc *>(m_pDocument);
}
#endif

